> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://es.megaport.ferndocs.com/es/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://es.megaport.ferndocs.com/es/_mcp/server.

# Buscar Clave de Servicio de Azure

GET https://api.megaport.com/v2/secure/azure/{service_key}

El primer paso al solicitar un servicio de Azure es utilizar la clave de servicio y encontrar los puertos disponibles para una conexión. En la respuesta, los puertos disponibles se enumeran en el array `megaports`.

Reference: https://es.megaport.ferndocs.com/es/api-reference/cloud-connectivity/look-up-azure-service-key

## Servers

- `https://api.megaport.com` (Entorno de producción, default)
- `https://api-staging.megaport.com` (Entorno de pruebas (solo pruebas, se restablece cada 24 horas))

## Request

### Path parameters

- `service_key` (string, required)

## Response

### 200

Buscar clave de servicio de Azure / Buscar clave de servicio de Azure / Buscar clave de servicio de Azure / Buscar clave de servicio de Azure / Buscar clave de servicio de Azure / Buscar clave de servicio de Azure

- `data` (V2SecureAzureServiceKeyGetResponsesContentApplicationJsonSchemaData, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2SecureAzureServiceKeyGetResponsesContentApplicationJsonSchemaData

- `bandwidth` (double, optional)
- `connectType` (string, optional)
- `managed` (boolean, optional)
- `megaports` (list of V2SecureAzureServiceKeyGetResponsesContentApplicationJsonSchemaDataMegaportsItems, optional)
- `peers` (list of any, optional)
- `resource_type` (string, optional)
- `service_key` (string, optional)
- `vlan` (double, optional)

### V2SecureAzureServiceKeyGetResponsesContentApplicationJsonSchemaDataMegaportsItems

- `companyId` (double, optional)
- `companyName` (string, optional)
- `companyUid` (string, optional)
- `country` (string, optional)
- `description` (string, optional)
- `locationId` (double, optional)
- `nServiceId` (double, optional)
- `name` (string, optional)
- `port` (double, optional)
- `portSpeed` (double, optional)
- `productId` (double, optional)
- `productUid` (string, optional)
- `state` (string, optional)
- `type` (string, optional)
- `vxc` (any, optional, nullable)

## Examples

**Response**

```json
{
  "data": {
    "bandwidth": 500,
    "connectType": "AZURE",
    "managed": false,
    "megaports": [
      {
        "companyId": 1475,
        "companyName": "Azure ExpressRoute",
        "companyUid": "c40de5ed-4707-4471-a78c-69436de2c505",
        "country": "Australia",
        "description": "Azure ExpressRoute en Equinix SY1",
        "locationId": 2,
        "nServiceId": 55860,
        "name": "Sydney Primary",
        "port": 24581,
        "portSpeed": 10000,
        "productId": 24581,
        "productUid": "fece8275-86ec-4bbd-b328-67ddac6d852e",
        "state": "NSW",
        "type": "primary",
        "vxc": null
      },
      {
        "companyId": 1475,
        "companyName": "Azure ExpressRoute",
        "companyUid": "c40de5ed-4707-4471-a78c-69436de2c505",
        "country": "Australia",
        "description": "Azure ExpressRoute en Equinix SY3",
        "locationId": 6,
        "nServiceId": 55863,
        "name": "Sydney Secondary",
        "port": 24584,
        "portSpeed": 10000,
        "productId": 24584,
        "productUid": "13f28165-de96-484e-8f99-babb24650e6a",
        "state": "NSW",
        "type": "secondary",
        "vxc": null
      }
    ],
    "peers": [],
    "resource_type": "csp_connection",
    "service_key": "197d927b-90bc-4b1b-bffd-fca17a7ec735",
    "vlan": 3901
  },
  "message": "Búsqueda exitosa",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/secure/azure/service_key"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/secure/azure/service_key';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/secure/azure/service_key"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/secure/azure/service_key")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v2/secure/azure/service_key")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v2/secure/azure/service_key');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/secure/azure/service_key");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/secure/azure/service_key")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```